bbpager (0.4.7-10) unstable; urgency=medium

  * New maintainer. (Closes: #929534)
  * Improvements according appstream.debian.org hints:
      - Changed icon image:
          ~ Exported to debian/bbpager.png instead debian/bbpager.xpm format.
          ~ Scaled image from 48x48 to 64x64.
          ~ debian/source/include-binaries: added to allow the
            debian/bbpager.png file use.
      - debian/bbpager.desktop:
          ~ Fix information according specification 1.0.
          ~ Renamed to debian/net.sourceforge.bbpager.desktop.
      - debian/copyright: updated to include MIT license for
        debian/net.sourceforge.bbpager.metainfo.xml.
      - debian/install:
          ~ Added installation of net.sourceforge.bbpager.metainfo.xml in
            usr/share/metainfo.
          ~ Fixed renamed desktop entry file.
          ~ Fixed icon filename and destination to
            usr/share/icons/hicolor/64x64/apps.
      - debian/net.sourceforge.bbpager.metainfo.xml: created to provide
        metadata for software centers.
  * debian/docs: added the upstream TODO file.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Thu, 18 Jun 2020 00:17:29 -0300

bbpager (0.4.7-9) unstable; urgency=medium

  * QA upload.
  * Added icon. Consequently:
      - debian/bbpager.xpm: created icon.
      - debian/install: added entry for installation debian/bbpager.xpm in
        /usr/share/pixmaps.
  * debian/control: added the VCS fields.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Fri, 05 Jun 2020 16:38:17 -0300

bbpager (0.4.7-8) unstable; urgency=medium

  * QA upload.
  * Updated menu entry. Created debian/bbpager.desktop in substitution of
    debian/menu (see #741573). Consequently:
      - debian/install: created to install debian/bbpager.desktop in
        usr/share/applications dir.
      - debian/menu: removed.
  * debian/control:
      - Added 'Rules-Requires-root: no' to source stanza.
      - Removed unnecessary dependencies autotools-dev and quilt from
        Build-Depends field.
      - Updated the upstream homepage.
  * debian/copyright: updated to format 1.0.
  * debian/dirs: removed because this file is useless now.
  * debian/docs: removed data/README.bbpager. Installed via upstream
    data/Makefile.am.
  * debian/manpages: added to install debian/bbpager.1.
  * debian/patches/:
      - Removed not used old dpatch files '00list' and '02_gcc43.dpatch'.
      - 02_gcc43.diff:
          ~ Changed includes.
          ~ Renamed to 020_gcc43.patch.
          ~ Updated header.
      - 03_binutils-gold.diff:
          ~ Fixed changes in scr/Makefile.am.
          ~ Removed changes in src/Makefile.in.
          ~ Renamed to 010_binutils-gold.patch.
          ~ Updated header.
      - 030_fix-data-dir-installation.patch: added to fix installation of files
        from data dir according FHS 3.0.
      - 040_update-configure.ac.patch: added to update macros syntax.
    * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS to improve GCC hardening.
      - Migrated to (reduced) format. (Closes: #960296)
    * debian/tests/control:
        - Added 'Restrictions: superficial' because this is a very simple test.
        - Improved grep to ignores case sensitive characters.
        - Removed redirection to stderr because command output in stdout.
    * debian/upstream/metadata: created.
    * debian/watch:
        - Bumped to version 4.
        - Improved regular expression.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Mon, 01 Jun 2020 15:06:14 -0300

bbpager (0.4.7-7) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/tests/control: created to perform trivial CI test.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Tue, 19 May 2020 15:12:11 -0300

bbpager (0.4.7-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #929534)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Bruno Naibert de Campos <bruno.naibert@gmail.com>  Sat, 09 May 2020 15:03:30 -0300

bbpager (0.4.7-5) unstable; urgency=low

  * As per changes made in version 0.4.7-4, switched to dpkg-source 3.0 (quilt
    format). Closes: #670075.
  * As per changes made in version 0.4.7-4, added patch to fix FTBFS with
    binutils-gold. Thanks to Mahyuddin Susanto <udienz@gmail.com>.
    Closes: #608821.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 10 Oct 2016 22:13:25 -0400

bbpager (0.4.7-4) unstable; urgency=medium

  * Added compiler flag -fPIC to debian/rules to address FTBFS bug.
    Closes: #835034.
  * debian/rules:
    + Added appropriate changes to debian/rules to remove dpatch calls in favor
      of quilt.
    + Added include call to quilt.
    + Updated dh_clean -k to dh_prep.
    + Added build commands to build-arch build-indep.
    + Added dh_clean command to unpatch.
  * Switched to dpkg-source 3.0 (quilt) format. Added debian/source/format
    file.
  * debian/control:
    + Added quilt to Build-Depends and removed dpatch.
    + Bumped Standards-Version to 3.9.8. No changes.
    + debhelper version bumped to 9.
  * Updated debian/compat to version 9.

 -- Kevin Coyner <kcoyner@debian.org>  Mon, 10 Oct 2016 20:07:52 -0400

bbpager (0.4.7-3) unstable; urgency=low

  * Updated again FTBFS gcc43 patch for missing include statement in
    src/resource.cxx. Thanks to Thiemo Seufer. Closes: #474811.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 09 Apr 2008 22:00:10 -0400

bbpager (0.4.7-2) unstable; urgency=low

  * Updated FTBFS gcc43 patch for missing include statement in
    src/Baseresource.cxx.  Thanks to Kumar Appaiah. Closes: #456071.

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 28 Mar 2008 06:50:57 -0400


bbpager (0.4.7-1) unstable; urgency=low

  * New upstream version. Closes: #419093.
  * debian/control:
    + Bumped Standards-Version to 3.7.3. No changes.
    + Moved Homepage out of extended description.
    + Added dpatch to Build-Depends
  * Added gcc43fix patch for missing include statement in src/main.cxx.
    Closes: #456071.
  * Added appropriate changes to debian/rules to invoke dpatch.

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 24 Feb 2008 22:26:17 -0500

bbpager (0.4.3-2) unstable; urgency=low

  * debian/rules: not handling nostrip build option corrected by invoking
    $(MAKE) with STRIP=:. Closes: #436574.
  * New e-mail address for maintainer. Changed throughout debian/* files.
  * debian/menu: changed to Applications/System/Administration.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 15 Aug 2007 21:27:34 -0400

bbpager (0.4.3-1) unstable; urgency=low

  * New upstream release
  * bbpager now works with -w (withdrawn) option when running blackbox.
    Closes: #358864, #411658.

 -- Kevin Coyner <kevin@rustybear.com>  Wed, 14 Mar 2007 17:22:26 -0400

bbpager (0.4.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer. Closes: #410615.
  * debian/control:
      + Added autotools-dev and libxext-dev to Build-Depends:
      + Updated debhelper to version 5
      + Added ${misc:Depends} to Depends:
      + Updated short description to include fluxbox
      + Grammatical corrections to long description
      + Updated homepage URL
      + Removed redundant libbt from Depends: since it is picked up
        by ${shlibs:Depends}
      + Update Standards-Version to 3.7.2 (no changes)
  * Updated debian/compat to version 5.
  * bbpager now reads config file in user's home directory if named as
    .bbtools/bbpager.rc.  Closes: #353862.
  * Updated man page to point towards proper configuration files and added
    reference to fluxbox.
  * bbpager now respects the columns and rows setting. Closes: #358862.
  * Updated debian/rules.
  * Added debian/watch file.
  * Updated debian/copyright.

 -- Kevin Coyner <kevin@rustybear.com>  Mon, 12 Feb 2007 08:58:07 -0500

bbpager (0.4.1b1-1) unstable; urgency=low

  * New maintainer. (Closes: #259583: ITA: bbpager -- Pager for the
    Blackbox window manager - Debian Bug report logs)
  * New upstream release
  * Updated Free Software Foundation address in Debian copyright
  * Updated homepage in package description
  * Changed Depends: blackbox (>= 0.60.2) | openbox | fluxbox to
    Suggests: blackbox (>= 0.70) | openbox | fluxbox since this version of
    bbpager is compatible with KDE and other window managers
  * Closes: #322306: bbpager fails to start under blackbox and fluxbox
    (possibly others)
  * Closes: #237837: windows list leak in void
    WMInterface::windowAttributeChange(Window win)
  * Closes: #101217: bbpager cannot find blackbox style file
  * Closes: #178163: bbpager does not parse ~ in resource file
  * Closes: #219345: Always showing sticky windows closed under fluxbox
  * Added Depends: libbt and Build-Depends: libbt-dev

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Wed, 14 Sep 2005 21:29:20 +0000

bbpager (0.3.1-4) unstable; urgency=low

  * QA Upload
  * Recompile for g++ transition
  * Update Standards-Version to 3.6.2 (no changes)
  * Split Build-Depends on xlibs-dev in individual packages
  * Update debhelper compat level to 4 (was unspecified)

 -- Frank Lichtenheld <djpig@debian.org>  Thu,  7 Jul 2005 18:53:25 +0300

bbpager (0.3.1-3) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon,  9 Aug 2004 01:45:15 -0700

bbpager (0.3.1-2) unstable; urgency=low

  * add Sam Halliday's patch for horizontal and vertical handling,
    (closes: #233794)
  * updated description (closes: #209443)
  * update Standards-Version to 3.6.0

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 26 Feb 2004 15:38:05 -0800

bbpager (0.3.1-1) unstable; urgency=medium

  * new upstream release
  * builds with gcc-3.x. Closes: #105052, #170995
  * Added the fine man page for bbpager written by Emanuelle Rocca. Thanks!
    Closes: #184652
  * Removed usage of dh_undocumented (not needed anymore anyway due to the
    new man page.)
  * Comply with policy by including the 'noopt' conditionals.
  * Make the 'build' part of rules respect CFLAGS.
  * Make ./configure use --build and --host according to dpkg-architecture.
  * Bumped Standards-Version to 3.5.9.
  * Author(s) -> Author to shut lintian up.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Sun, 13 Apr 2003 20:54:19 -0700

bbpager (0.3.0-2) unstable; urgency=low

  * packaging update
  * now depends on blackbox | fluxbox | openbox, closes: #134442
  * no longer crashes on odd geometry, might have been an X bug. Closes: #87966

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Fri, 25 Oct 2002 09:24:44 -0700

bbpager (0.3.0-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 28 Nov 2000 13:33:14 -0800

bbpager (0.2.9-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue,  3 Oct 2000 13:33:02 -0700

bbpager (0.2.8-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu, 25 May 2000 13:33:53 -0700

bbpager (0.2.7-1) unstable; urgency=low

  * New upstream release

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Mon, 21 Feb 2000 16:43:30 -0800

bbpager (0.2.6-0) unstable; urgency=low

  * New upstream alpha

 -- Sean E. Perry <shaleh@debian.org>  Tue,  7 Dec 1999 22:18:19 -0800

bbpager (0.2.5.19991127-0) unstable; urgency=low

  * New alpha release
  * only works w/ 0.60 and possibly later

 -- Sean E. Perry <shaleh@debian.org>  Sun, 28 Nov 1999 00:50:36 -0800

bbpager (0.1.6-1) unstable; urgency=low

  * New upstream version

 -- Sean E. Perry <shaleh@debian.org>  Wed, 27 Oct 1999 01:34:06 -0700

bbpager (0.1.5-1) unstable; urgency=low

  * Initial Release.

 -- Sean E. Perry <shaleh@debian.org>  Fri, 22 Oct 1999 03:46:57 -0700
